Bug 154400 - port upgrade, upgrade security/barnyard2 to version 1.9
Summary: port upgrade, upgrade security/barnyard2 to version 1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-30 21:10 UTC by pauls
Modified: 2011-01-31 01:20 UTC (History)
0 users

See Also:


Attachments
barnyard2.diff (1.27 KB, patch)
2011-01-30 21:10 UTC, pauls
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2011-01-30 21:10:11 UTC
	security/barnyard2, upgrade port to version 1.9
Comment 1 Edwin Groothuis freebsd_committer 2011-01-30 21:10:18 UTC
Class Changed
From-To: sw-bug->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Olli Hauer freebsd_committer 2011-01-30 22:41:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I'll take it
Comment 3 Olli Hauer freebsd_committer 2011-01-30 23:10:42 UTC
State Changed
From-To: open->feedback

offer a patch whoch includes the README file again
Comment 4 Olli Hauer freebsd_committer 2011-01-30 23:10:47 UTC
Hi Paul,

I see the README file was moved from docs to the src root
directory and is now no longer included in PORTDOCS.

The README file is a good resource for all the parameters
for barnyard2.

What do you think about the following diff for Makefile?
(Not really nice, I know ...)

If the patch is mangled you can get it here:
http://people.freebsd.org/~ohauer/diffs/PR_154400_barnyard2.diff


--- patch-barnyard2.txt begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/security/barnyard2/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- Makefile	5 Jul 2010 20:20:34 -0000	1.4
+++ Makefile	30 Jan 2011 22:52:46 -0000
@@ -6,7 +6,7 @@
 #

 PORTNAME=	barnyard2
-PORTVERSION=	1.8
+PORTVERSION=	1.9
 CATEGORIES=	security
 MASTER_SITES=	http://www.securixlive.com/download/barnyard2/

@@ -23,7 +23,9 @@
 CONFIGURE_ENV=	LDFLAGS="${LDFLAGS}"
 SUB_FILES=	pkg-message

-PORTDOCS=	INSTALL	README README.aruba README.database README.sguil
+PORTDOCS1=	README
+PORTDOCS2=	INSTALL README.aruba README.database README.sguil
+PORTDOCS=	${PORTDOCS1} ${PORTDOCS2}

 .include <bsd.port.pre.mk>

@@ -54,7 +56,8 @@
 .endfor
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
-	cd ${WRKSRC}/doc && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
+	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS1} ${DOCSDIR}
+	cd ${WRKSRC}/doc && ${INSTALL_DATA} ${PORTDOCS2} ${DOCSDIR}
 .endif

 	@${CAT} ${PKGMESSAGE}
--- patch-barnyard2.txt ends here ---
Comment 5 pauls 2011-01-30 23:43:05 UTC
--On January 30, 2011 5:10:47 PM -0600 Olli Hauer <ohauer@FreeBSD.org> 
wrote:

> Hi Paul,
>
> I see the README file was moved from docs to the src root
> directory and is now no longer included in PORTDOCS.
>
> The README file is a good resource for all the parameters
> for barnyard2.
>
> What do you think about the following diff for Makefile?
> (Not really nice, I know ...)
>

I like it.  Rather more elegant than what I've tried to do in the past.

Paul Schmehl (pauls@utdallas.edu)
Senior Information Security Analyst
The University of Texas at Dallas
http://www.utdallas.edu/ir/security/
Comment 6 dfilter service freebsd_committer 2011-01-31 01:17:41 UTC
ohauer      2011-01-31 01:17:36 UTC

  FreeBSD ports repository

  Modified files:
    security/barnyard2   Makefile distinfo 
  Log:
  - update barnyard2 to version 2.1.9
  
  Changes:
   2010-12-27 - Barnyard 2.1.9
     [*] Additions
        * spo_database. Support of encrypted connections to postgresql is now
          available. See README.database for the appropriate options.
  
        * spo_sguil. Fixed issue with duplication of alerts.
  
     [*] Improvements
  
        * spooler. Fixed issue with borking when reading unrecognised records.
          There is now sufficient information to skip and move on.
  
        * spooler. Fixed early termination of non-readable files, causing the
          dreaded SEGFAULT.
  
        * classifications. Tweaked output for classification identification if the
          appropriate node can't be found.
  
  PR:             ports/154400
  Submitted by:   Paul Schmehl <pauls _at_ utdallas.edu> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.5       +6 -3      ports/security/barnyard2/Makefile
  1.4       +2 -3      ports/security/barnyard2/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Olli Hauer freebsd_committer 2011-01-31 01:18:21 UTC
State Changed
From-To: feedback->closed

Committed, 
Thanks!